g.gui.iclass(1)

NAME
g.gui.iclass - Tool for supervised classification of imagery data.
Generates spectral signatures for an image by allowing the user to outline regions of interest.

KEYWORDS
general, GUI, classification, supervised classification, signatures

SYNOPSIS
g.gui.iclass
g.gui.iclass --help
g.gui.iclass [-m] [group=name] [subgroup=name] [map=name] [trainingmap=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-m
    Maximize window

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

group=name
    Name of input imagery group

subgroup=name
    Name of input imagery subgroup

map=name
    Name of raster map to load

trainingmap=name
    Ground truth training map to load

KEYWORDS
display, GUI, imagery, classification, supervised classification

DESCRIPTION

Supervised Classification Tool (wxIClass) is a wxGUI compoment which allows the user to create training areas and generate spectral signatures. The resulting signature file can be used as input for i.maxlik or as a seed signature file for i.cluster. WxIClass can be launched from the Layer Manager menu Imagery → Classify image → Interactive input for supervised classification or via command line as g.gui.iclass.

wxIClass currently allows you to:

    •   create training areas (using customized vector digitizer)

    •   show histograms for each band and class (category)

    •   show coincidence plots for each band

    •   show raster cells that match training areas (within the number of standard deviations specified)

    •   specify color of class

    •   write signature file

    •   import vector map

    •   export vector map with attribute table

wxIClass performs the first pass in the GRASS two-pass supervised image classification process; the GRASS module i.maxlik executes the second pass. Both programs must be run to generate a classified map in GRASS raster format.

wxIClass is an interactive program that allows the user to create multiple training areas for multiple classes and calculate the spectral signatures based on the cells that are within the training areas. During this process the user will be shown histograms for each image band. The user can also display the cells of the image bands which fall within a user-specified number of standard deviations from the means in the spectral signature. By doing this, the user can see how much of the image is likely to be put into the class associated with the signature.

The spectral signatures are composed of region means and covariance matrices. These region means and covariance matrices are used in the second pass (i.maxlik) to classify the image.

Alternatively, the spectral signatures generated by wxIClass can be used for seed means for the clusters in i.cluster.

SEE ALSO
wxGUI
wxGUI components, Interactive Scatter Plot Tool

See also user wiki page and development page.

AUTHOR
Anna Kratochvilova, Czech Technical University in Prague, Czech Republic
Vaclav Petras, Czech Technical University in Prague, Czech Republic

SOURCE CODE

Available at: wxGUI Supervised Classification Tool source code (history)

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.2 Reference Manual